Skip to main content

Get customer by customer number

GET 

https://core-prod.malipopay.co.tz/api/v1/customer/number/:customer_no

Returns a customer record by its human-readable customer number

Request

Path Parameters

    customer_no stringrequired

    Human-readable customer number

Responses

Customer fetched successfully

Schema
    successbooleanrequired
    Example: true
    codeintegerrequired

    MALIPOPAY-specific status code (see error codes reference)

    Example: 800
    messagestringrequired
    Example: Operation completed successfully
    data object

    Endpoint-specific payload

    property name*any

    Endpoint-specific payload

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L 'https://core-prod.malipopay.co.tz/api/v1/customer/number/:customer_no' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Parameters
— pathrequired
Response

Click the Send API Request button above and see the response here!